#
# spec file for package openmotif22-libs (Version 2.2.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa aaa_base acl atk attr audit-libs autoconf automake bash binutils bison brp-check-internal bzip2 cairo coreutils cpio cpp cpp42 cracklib cups-libs cvs diffutils file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gconf2 gconf2-lang gdbm gettext gettext-devel glib2 glibc glibc-devel glibc-locale glitz grep groff gtk2 gzip hicolor-icon-theme info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libgomp42 libjpeg libltdl-3 libmudflap42 libopenssl0_9_8 libpng libreadline5 libstdc++42 libtiff3 libtool libuuid1 libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs orbit2 pam pam-modules pango patch pcre perl perl-base permissions pkg-config popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux xorg-x11 xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           openmotif22-libs
%{expand:%%global _prefix %(pkg-config --variable prefix x11 || echo /usr/X11R6)}
%if "%_prefix" == "/usr/X11R6"
%define _mandir %_prefix/man
%define _datadir %_prefix/lib
%endif
BuildRequires:  bison flex pkgconfig xorg-x11 xorg-x11-devel
Version:        2.2.4
Release:        84.3
License:        MOTIF 2.1.30
Group:          System/Libraries
AutoReqProv:    on
Summary:        Open Motif 2.2.4 Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.motifzone.net/
Source:         openmotif-%{version}.tar.bz2
Patch:          openmotif-%{version}.diff
Patch1:         warn.patch
Patch2:         datadir.patch
Patch3:         XmResizeHashTable.patch
Patch4:         openmotif-xpm.diff
Patch5:         sentinel.diff
Patch6:         openmotif-uil.diff
Patch7:         PrintableString.diff
Patch8:         openmotif22-strcmp.diff
#PATCH-FIX-UPSTREAM add LONG64 define from X11/Xmd.h (bnc#486469) SWAMP-ID 23476
Patch9:         openmotif22-add_LONG64_define.diff

%description
This is the old version 2.2.4 Open Motif runtime environment.  It
includes the Motif version 2.2.4 shared libraries.

Open Motif is a freely available version of the well-known Motif user
interface toolkit for open source operating systems.  This package was
built with the Metro Link sources.



%debug_package
%prep
%setup -q -n openmotif-%{version}
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9

%build
rm -f depcomp
%{suse_update_config -f}
autoreconf --force --install
%ifarch %arm
# miscompilation?
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -O1"
%endif
./configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
	    --prefix=%{_prefix} --libdir=%{_libdir} \
	    --datadir=%{_datadir} --mandir=%{_mandir}
# Not parallel safe
make

%install
make install DESTDIR="$RPM_BUILD_ROOT"
# remove everything not packaged
rm -rf $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%_libdir/lib*.a
rm -f $RPM_BUILD_ROOT%_libdir/lib*.la
rm -f $RPM_BUILD_ROOT%_libdir/lib*.so
rm -rf $RPM_BUILD_ROOT%{_datadir}/X11
rm -rf $RPM_BUILD_ROOT%{_datadir}/Xm
rm -rf $RPM_BUILD_ROOT%{_prefix}/include
rm -rf $RPM_BUILD_ROOT%{_prefix}/bin

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_libdir}/*.so.*

%changelog
* Fri Mar 27 2009 - mseben@suse.cz
- added openmotif22-add_LONG64_define.diff to add LONG64 define from
  X11/Xmd.h (bnc#486469) SWAMP-ID 23476
* Sun Aug 05 2007 - aj@suse.de
- Fix build.
* Fri Mar 30 2007 - ro@suse.de
- added flex,bison to buildreq
* Fri Oct 13 2006 - schwab@suse.de
- Fix XPM plausibility checks.
* Thu Aug 03 2006 - schwab@suse.de
- Don't build demos.
* Fri Jul 28 2006 - schwab@suse.de
- Fix building with Xorg7.
* Mon Jul 03 2006 - schwab@suse.de
- OpenMotif 2.2.4 libraries.
